[ActorId*6D8+[94AD30]]:<ACTOR_INFO>
[GroupId*24+7D9258]:<GANG_INFO>



; OBJECT_INFO
OBJECT_INFO struct
	xPos		dd ?	; +0x0034	; flt32
	yPos		dd ?	; +0x0038	; flt32
	zPos		dd ?	; +0x003C	; flt32
	flags1		dd ?	; +0x0051	; b.0 - collision detection
	flags2		dd ?	; +0x0052	; b.1 - use immunities from flags3
									; b.4 - no light

	flags3		dd ?	; +0x0053	; b.0 - ?
									; b.1 - bullets/explosions immune
									; b.2 - fire immune
									; b.3 - fall immune
									; b.4 - punch immune
									; b.5 - crash immune

	modelId		dw ?	; +0x005C	; for possible values see default.ide
OBJECT_INFO ends



; ACTOR_INFO
ACTOR_INFO struct		; sizeof 6D8h

	OBJECT_INFO <>

	health		dd ?	; +0x0354	; flt32
	armor		dd ?	; +0x0358	; flt32

	vehicle		dd ?	; +0x03A8	; ptr VEHICLE
	isDriving	db ?	; +0x03AC	; bool


; weapons by category
	grenades	dd ?	; +0x0444	; grenades count
	pistol		dd ?	; +0x045C	; pistol ammo count
	shotgun		dd ?	; +0x0474	; shotgun ammo count
	smg			dd ?	; +0x048C	; sub-machine gun ammo count
	ar			dd ?	; +0x04A4	; assault rifle ammo count
	heavy		dd ?	; +0x048C	; flamethrower, rocketlauncher or minigun ammo count
	sniper		dd ?	; +0x04D4	; sniper rifle ammo count
	wanted		dd ?	; +0x05F4	; ptr WANTED
	stamina		dd ?	; +0x0600	; flt32

ACTOR_INFO ends



; WANTED
WANTED struct
	crimePts	dd ?	; +0x00
	isIgnored	db ?	; +0x1E		; bool
	wantedLvl	dd ?	; +0x20
WANTED ends



; VEHICLE_INFO
VEHICLE_INFO struct

	OBJECT_INFO <>

;	isCrazy		db ?	; +0x0156	; bool
	color1		db ?	; +0x01A0
	color2		db ?	; +0x01A1
	health		dd ?	; +0x0204	; flt32
	radio		db ?	; +0x023C	; 10 = disabled
;	XYU3HAET	dd ?	; +0x029C	; 5 if bike
	engine		db ?	; +0x02A4	; engine burning
	wheelFL		db ?	; +0x02A5	; front left wheel
	wheelFR		db ?	; +0x02A6	; front right wheel
	wheelRL		db ?	; +0x02A7	; rear left wheel
	wheelRR		db ?	; +0x02A8	; rear right wheel
	wheelF		db ?	; +0x032C	; front wheel (bike)
	wheelR		db ?	; +0x032D	; rear wheel (bike)
	flags		db ?	; +0x0501	; b.1 - sprayable
VEHICLE_INFO ends



; GANG_INFO
GANG_INFO struct		; sizeof 24h
	car			dd ?	; +0x00
	model1		dd ?	; +0x04
	model2		dd ?	; +0x08
	weapon1		dd ?	; +0x10
	weapon2		dd ?	; +0x14
GANG_INFO ends
